---
title: ':-moz-locale-dir(rtl)'
slug: 'Web/CSS/:-moz-locale-dir(rtl)'
tags:
  - ':-moz-locale-dir'
  - CSS
  - 'CSS:Mozilla Extensions'
  - Localization
  - NeedsCompatTable
  - NeedsExample
  - Non-standard
  - Pseudo-class
  - Reference
  - Right-to-left
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}{{gecko_minversion_header("1.9.2")}}</div>

<p>The <strong><code>:-moz-locale-dir(rtl)</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that matches an element if the user interface is being displayed right-to-left. This is determined by the preference <code>intl.uidirection.<em>locale</em></code> (where <em><code>locale</code></em> is the current locale) being set to "rtl".</p>

<div class="notecard note">
<p><strong>Note:</strong> This selector is mainly used by extensions and themes to adapt the user interface based on the user's locale. (This can vary from window to window, and even from tab to tab.) It also allows extensions to work even when they don't support the user's default locale, since they can support both left-to-right and right-to-left layouts regardless of locale specifics.</p>
</div>

<div class="notecard warning">
<p>This selector does not work properly from HTML; it never matches, no matter whether the UI locale is left-to-right or right-to-left.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-moz-locale-dir(rtl)</pre>

<h2 id="Examples">Examples</h2>

<p>This example will not work if you're not using Firefox, and might not work properly even in Firefox due to an issue with using this selector in HTML.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;If you're using a right-to-left interface, this should be red.&lt;/p&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">p:-moz-locale-dir(rtl) {
  color: red;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef(":dir",":dir(…)")}}</li>
 <li>{{CSSxRef(":-moz-locale-dir(ltr)")}}</li>
 <li><a href="/en-US/docs/Making_Sure_Your_Theme_Works_with_RTL_Locales">Making sure your theme works with RTL locales</a></li>
</ul>
